{
    attributes = (
        {
            allowsNull = Y; 
            columnName = BIC; 
            externalType = VARCHAR2; 
            name = bic; 
            valueClassName = NSString; 
            width = 11; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_CIVILITE_TITULAIRE"; 
            externalType = VARCHAR2; 
            name = cCiviliteTitulaire; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_BANQUE"; 
            externalType = VARCHAR2; 
            name = codeBanque; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ETUDIANT_TITULAIRE"; 
            name = etudiantTitulaire; 
            prototypeName = intBoolean; 
        }, 
        {
            allowsNull = Y; 
            columnName = IBAN; 
            externalType = VARCHAR2; 
            name = iban; 
            valueClassName = NSString; 
            width = 34; 
        }, 
        {
            columnName = "ID_MODE_PAIEMENT"; 
            externalType = NUMBER; 
            name = idModePaiement; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_PERSONNE_TITULAIRE"; 
            externalType = NUMBER; 
            name = idPersonneTitulaire; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_PRE_ADRESSE_TITULAIRE"; 
            externalType = NUMBER; 
            name = idPreAdresseTitulaire; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_PRE_MOYEN_PAIEMENT"; 
            externalType = NUMBER; 
            name = idPreMoyenPaiement; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_PRE_PAIEMENT"; 
            externalType = NUMBER; 
            name = idPrePaiement; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_TYPE_PAIEMENT"; 
            externalType = NUMBER; 
            name = idTypePaiement; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MONTANT_PAYE"; 
            externalType = NUMBER; 
            name = montantPaye; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NOM_TIREUR"; 
            externalType = VARCHAR2; 
            name = nomTireur; 
            valueClassName = NSString; 
            width = 30; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NUMERO_CHEQUE"; 
            externalType = VARCHAR2; 
            name = numeroCheque; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NUMERO_COMPTE"; 
            externalType = VARCHAR2; 
            name = numeroCompte; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            columnName = "PERS_ID_CREATION"; 
            externalType = NUMBER; 
            name = persIdCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = persIdModification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PRENOM_TIREUR"; 
            externalType = VARCHAR2; 
            name = prenomTireur; 
            valueClassName = NSString; 
            width = 30; 
        }
    ); 
    attributesUsedForLocking = (bic, iban, idPreMoyenPaiement, idPrePaiement); 
    className = "org.cocktail.fwkcktlprescolarite.common.metier.EOPrePaiementMoyen"; 
    classProperties = (
        bic, 
        codeBanque, 
        dCreation, 
        dModification, 
        etudiantTitulaire, 
        iban, 
        idPersonneTitulaire, 
        montantPaye, 
        nomTireur, 
        numeroCheque, 
        numeroCompte, 
        persIdCreation, 
        persIdModification, 
        prenomTireur, 
        toCiviliteTitulaire, 
        toModePaiement, 
        toPreAdresseTitulaire, 
        toPrePaiement, 
        toPrePaiementEcheances, 
        toTypePaiement
    ); 
    externalName = "SCO_PRE_SCOLARITE.PRE_MOYEN_PAIEMENT"; 
    fetchSpecificationDictionary = {}; 
    name = EOPrePaiementMoyen; 
    primaryKeyAttributes = (idPreMoyenPaiement); 
    relationships = (
        {
            destination = "Fwkpers_Civilite"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cCivilite; sourceAttribute = cCiviliteTitulaire; }); 
            name = toCiviliteTitulaire; 
        }, 
        {
            destination = "Sco_ModePaiement"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = idModePaiement; }); 
            name = toModePaiement; 
        }, 
        {
            destination = EOPreAdresse; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = idPreAdresse; 
                    sourceAttribute = idPreAdresseTitulaire; 
                }
            ); 
            name = toPreAdresseTitulaire; 
        }, 
        {
            destination = EOPrePaiement; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idPrePaiement; sourceAttribute = idPrePaiement; }); 
            name = toPrePaiement; 
        }, 
        {
            destination = EOPrePaiementEcheance; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = idPreMoyenPaiement; 
                    sourceAttribute = idPreMoyenPaiement; 
                }
            ); 
            name = toPrePaiementEcheances; 
        }, 
        {
            destination = "Sco_TypePaiement"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idTypePaiement; sourceAttribute = idTypePaiement; }); 
            name = toTypePaiement; 
        }
    ); 
}
